Subject: RE: bug#411: 23.0.60; flet and byte-compilation

From: "Drew Adams" <[email-masked]>
Date: Wed, 31 Oct 2012 08:01:59 -0700

> Indeed, because `cl-flet' is a different beast, much more 
> like `labels' than like CL's `flet' (it is lexically scoped).

Just out of curiosity (and I haven't followed this thread), why?

Why make `cl-flet' less like CL's `flet'?  If you want `labels'-like behavior,
why not define `cl-labels' for that?

Or call this `foobar' or whatever.  Calling it `cl-flet' seems the more
misleading the farther the behavior gets from CL's `flet' - no?

Sounds like this is a step backward - in terms of possible confusion, at least.